{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}
{% load custom_tags %}

{% block content %}
    <style>
        .table-hide{
            display: none;
        }

        .scheme-input {
            width: 100%;
        }

        .summary-head {
            display: -webkit-inline-box;
            margin: 3px 0 0 8px !important;
            vertical-align: top;
        }
        .status-image {
            position: absolute;
            margin: 0 auto 0 15%;
        }
    </style>
   
    <head>
        <link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">
        <title>{% block title %} SR Order Detail {% endblock %}</title>
    </head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

    <form method="POST">
        {% csrf_token %}
        <div class="col-order-detail">
            <div class="row row-order">
                <div class="col-md-5">
                    <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
                    <h2 class="summary-head">
                        <!--Order Summary ({{total.order_id}}, {{total.order_date|date|default:"-&#45;&#45;"}})-->
                        Order Summary
                        {% if total.dms_number %}
                            ({{total.order_id}}, {{total.order_date|date|default:"---"}}, {{total.dms_number}})
                        {% else %}
                            ({{total.order_id}}, {{total.order_date|date|default:"---"}})
                        {% endif %}
                    </h2>
                </div>
                <div class="col-md-7">
                    <h2 class="summary-head"> Applied Schemes - by ({{total.sr_name}}, {{total.sr_contact}})</h2>
                </div>
            </div>

            <div class="row">
                <div class="col-xs-12 col-sm-5 col-md-5">
                    <table class="table table-bordered table-responsive table-striped allowance-table table-c-detail">
                        <thead>
                            <tr>
                                <th colspan="2">
                                    Customer Detail ({{dealer.owner_name|default:"---"}})
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>{{dealer.company_name|default:"--"}}</td>
                                <td>{{dealer.primary_contact|default:"--"}}</td>
                            </tr>
                            <tr>
                                <td>{{dealer.company_address|default:"--"}}</td>
                                <td>{{dealer.email|default:"--"}}</td>
                            </tr>
                        </tbody>
                    </table>
                </div>

                <div class="col-xs-12 col-sm-7 col-md-7">
                    <table class="table table-bordered table-responsive table-striped brand-table">
                        <thead>
                            <tr>
                                <th>Warehouse Code</th>
                                <th>Warehouse Name</th>
                                <th>SKU Code</th>
                                <th>QTY.</th>
                                <th style="text-align: right;">Total Value</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for item in details %}
                                <tr>
                                    <td>{{item.warehouse_code|default:"NA"}}</td>
                                    <td>{{item.warehouse_name|default:"NA"}}</td>
                                    <td>{{item.skucode}}</td>
                                    <td>{{item.quantity}}</td>
                                    <td style="text-align:right;">₹ {{item.final_total|floatformat:2|intcomma}}</td>
                                </tr>
                            {% endfor %}
                        </tbody>
                        <tfoot>
                        <tr>
                            <td>
                                <img src="{% static 'img/' %}{{status_image}}.png" class="status-image">
                            </td>
                            <td colspan="4" style="text-align: right">
                                ₹ {{total.allFinalTotal|floatformat:2|intcomma}}
                            </td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>

            <div class="modal fade" id="myModal" role="dialog">
                <div class="modal-dialog ">
                    <!-- Modal content-->
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">Dispatch</h4>
                        </div>
                        <div class="modal-body">
                            <table class="table table-striped order-table table-bordered">
                                <tbody>
                                <tr>
                                    <td>DMS Order No :</td>
                                    <td>
                                        <input type="text" name="dmsorderno" id="dmsorderno">
                                    </td>
                                </tr>
                                <tr>
                                    <td id="fdata" colspan="2">Remarks : </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <textarea rows="3" cols="59" name="remarks" id="remarks"></textarea>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2" align="center">
                                        <input type="submit"  name="btnsave" value="Save" class="input_import" id="btnsave">
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>

            {% if request.user|has_group:"WHSUSER" %}
                {% if status_image == 'InWarehouse' %}
                    <div class="form-group col-md-12 col-sm-12 text-center">
                        <input type="button" data-toggle="modal" data-target="#myModal" value="Dispatch" style="width:15%;font-size: 17px; margin-top: 6%;height:  60px;background-color: #3c8dbc;"/>
                    </div>
                {% endif %}
            {% elif request.user|has_group:"WHS" %}
                <div class="row">
                    <div class="col-xs-12 col-sm-5 col-md-5">
                        <table class="table table-bordered table-responsive table-striped allowance-table table-c-detail">
                            <thead>
                                <tr>
                                    <th colspan="3">Assign Warehouse</th>
                                </tr>
                                <tr>
                                    <th>Warehouse</th>
                                    <th>Warehouse User</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td id="tdWarehouse">
                                        {% if disable %}
                                            {{warehouse_code}}
                                        {% else %}
                                            <select id="ddlWarehouse" name="warehouse_name" {% if edit %}disabled{% endif %}>
                                                <option value="">---Select Warehouse---</option>
                                                {% for warehouse in warehouses %}
                                                    <option {% if warehouse.pk == warehouse_code %}selected{% endif %} value="{{warehouse.pk}}">{{warehouse.warehouse_code}}</option>
                                                {% endfor %}
                                            </select>
                                        {% endif %}
                                    </td>
                                    <td id="tdManager">
                                        {% if disable %}
                                            {{manager}}
                                        {% else %}
                                            <select id="ddlManager" name="warehouse_manager" {% if edit %}disabled{% endif %}>
                                                {% if edit %}
                                                    {% for manager in users %}
                                                        <option {% if manager.id == user %}selected{% endif %} value="{{manager.id}}">{{manager.name}}</option>
                                                    {% endfor %}
                                                {% else %}
                                                    <option value="">-----</option>
                                                {% endif %}
                                            </select>
                                        {% endif %}
                                    </td>
                                    <td id="tdAction">
                                        {% if disable %}
                                            Assigned
                                        {% else %}
                                            {% if edit %}
                                                Assigned &nbsp;
                                                <span class="glyphicon glyphicon-edit" style="cursor: pointer"></span>
                                            {% else %}
                                                <button id="btnSubmit" class="btn btn-default" disabled="true">
                                                    Save
                                                </button>
                                            {% endif %}
                                        {% endif %}
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            {% endif %}
        </div>
    </form>
{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        var order = '';
        $(document).ready(function(){

            $('body').addClass('sidebar-collapse');
            $('ul.sidebar-menu').css('display', 'none');

            $('.sidebar-toggle').click(function(){
                $('ul.sidebar-menu').css('display', 'block');
            })

            $('.content-header').remove();

            var parts = window.location.href.split("/");
            order = parts[parts.length-1];

            $(document).on('click', '.glyphicon', function() {
                $("#ddlWarehouse").attr('disabled', false);
                $("#ddlManager").attr('disabled', false);
                $("#tdAction").html('<button id="btnSubmit" class="btn btn-default">Save</button>');
            });

            $(document).on('click', '#ddlWarehouse', function() {
                $.ajax({
                    type:'get',
                    url:'/user/get_warehouse_manager?warehouse='+$(this).val(),
                    success: function(res){
                        var optionlist = "";
                        if(res["data"].length > 0) {
                            $("#btnSubmit").attr('disabled', false);
                            $.each(res["data"], function(index, value) {
                                optionlist += "<option value='" + value['id'] + "'>" + value['name'] + "</option>";
                            });
                        }
                        else {
                            $("#btnSubmit").attr('disabled', true);
                            toastr.info('User not available in Warehouse!');
                            optionlist += "<option value=''>-----</option>";
                        }
                        $('#ddlManager').html(optionlist);
                    }
                });
            });

            $(document).on('click', '#btnSubmit', function() {
                $(this).attr('disabled', true);

                var wareHouse = $("#ddlWarehouse").val();
                var userID = $("#ddlManager").val();
                $.ajax({
                    type:'get',
                    url:'/user/assign_warehouse?order='+order+'&warehouse='+wareHouse+'&user='+userID,
                    success: function(res) {
                        if(res["message"] == "success") {
                            toastr.success('Warehouse successfully Assigned!');
                            $("#ddlWarehouse").attr('disabled', true);
                            $("#ddlManager").attr('disabled', true);
                            $('#tdAction').html('Assigned &nbsp;<span class="glyphicon glyphicon-edit" style="cursor: pointer"></span>');
                        }
                        else {
                            $("#btnSubmit").attr('disabled', false);
                            toastr.error("Oops something went wrong, please try again.");
                        }
                    }
                });
            });
        });
    </script>
{% endblock %}